Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install pkgconfig(glu)
# END SourceDeps(oneline)
Summary(uk_UA.KOI8-U): MacMolPlt -  צ̦æ 
Summary(ru_RU.KOI8-R): MacMolPlt -   
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit 161e14621640775e98bd7d7f46520b09c84d8f09
%global date 20210927
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: wxmacmolplt
Version: 7.7.3
Release: alt1_2
Summary: A graphics program for plotting 3-D molecular structures and normal modes
License: GPL-2.0-or-later
URL: http://brettbode.github.io/wxmacmolplt/
Source0: https://github.com/brettbode/wxmacmolplt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: libGLEW-devel
BuildRequires: libwxGTK3.2-devel
BuildRequires: automake
Requires: icon-theme-hicolor
Source44: import.info

%description
MacMolPlt is:
* A modern graphics program for plotting 3-D molecular structures and
  normal modes (vibrations). Modern means:
  o Mouse driven interface for real-time rotation and translation.
  o copy and paste functionality for interfacing to other programs such
    as word processors or other graphics programs (like ChemDraw).
  o simple printing to color or black and white printers (publication
    quality).
  o multiple files open at once.
* It reads a variety of file formats including any GAMESS input, log or
  IRC file directly to create animations of IRC's, DRC's, and
  optimizations. You may also import a $VEC group from any file (such as
  a GAMESS .DAT file). In addition xMol XYZ files, MolDen format files
  and Chemical Markup Language (CML) files are supported. Also some PDB
  file support and MDL MolFile support is included.

%description -l ru_RU.KOI8-R
wxMacMolPlt        GAMESS  PC GAMESS





%description -l uk_UA.KOI8-U
wxMacMolPlt   צ̦æ     GAMESS  PCGAMESS

%define _desktop_cat Edutainment/Science

%prep
%setup -q
chmod -x MacMolPlt_Manual.html
rm -rv src/glew.{cpp,h}

%build
autoreconf -vif
%configure \
  --docdir=%{_docdir}/%{name} \
  --with-glew \
  --with-wx-config=%{_bindir}/wx-config-3.2 \


%make_build

%install
%makeinstall_std
install -Dpm644 resources/wxmacmolplt.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications resources/wxmacmolplt.desktop
rm %{buildroot}%{_docdir}/%{name}/LICENSE

%files
%doc --no-dereference LICENSE
%{_bindir}/wxmacmolplt
%{_mandir}/man1/wxmacmolplt.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
%{_datadir}/wxmacmolplt

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 7.7.3-alt1_2
- update to new release by fcimport

* Thu Sep 14 2023 Igor Vlasenko <viy@altlinux.org> 7.7.2-alt1_10
- wxGTK3.2 build

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 7.7.2-alt1_5
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 7.7.2-alt1_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 7.7.2-alt1_2
- update to new release by fcimport

* Wed Oct 13 2021 Igor Vlasenko <viy@altlinux.org> 7.7.2-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 7.7.1-alt1_0.3.20210718gitfc6f3c1
- update to new release by fcimport

* Sun Jul 25 2021 Igor Vlasenko <viy@altlinux.org> 7.7.1-alt1_0.2.20210718gitfc6f3c1
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 7.7-alt1_17
- update to new release by fcimport

* Sun Mar 03 2019 Cronbuild Service <cronbuild@altlinux.org> 7.5-alt2_1
- rebuild to get rid of unmets

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 7.5-alt1_1
- update to new release by fcimport

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 7.4.4-alt1_3
- update to new release by fcimport

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 7.4.4-alt1_2
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 7.4.4-alt1_1
- initial fc import

* Fri Dec 12 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt5
- update buildreq tag in spec

* Thu Dec 11 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt4
- add new buildreq tag to spec
- fix build

* Tue Nov 11 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt3
- Fix desktop file

* Thu Nov 06 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt2.M41.1
- backport to M41
- 7.2.1-alt2

* Mon Nov 03 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt2
- applied patch wxmacmolplt-al2.patch to fix build in Sisyphus

* Sat Jul 26 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt1
- First build pakage for ALT Linux

